Subject: Re: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Pádraig Brady <[email-masked]>
Date: Wed, 21 May 2025 22:10:38 +0100

On 21/05/2025 22:02, Peter Dyballa wrote:
> 
>> Am 21.Mai.2025 um 22:46 schrieb Pádraig Brady <[email-masked]>:
>>
>> I've pushed this change
> 
> Some more changes might be useful: A few tests use the programme getent that neither exists in old Mac OS X nor in modern macOS… (same for diffutils, I think, I do remember a test which was logging that the user performing the tests is not unique/does not have a unique UID)

Yes I see getent is not available on macOS,
but for coreutils at least there is only a single test
that uses getent: tests/chown/separator.sh
and it seems to skip the test when getent is not available.

cheers,
Padraig